// Include the script module that contains our 'StringToInt' function.
#include "StringToInt.as"


void main()
{
    TestStringToInt("123456789", 10);
    TestStringToInt("-123456789", 10);
    TestStringToInt("FFFF", 16);
    TestStringToInt("0fFe", 16);
    
    
    
    
    // Here's some code that demonstrates that we don't need something like 'IntToString':
    // The string class does this for us automatically:
    int testNumber = 10;
    
    testNumber += 15;
    
    string testStr = testNumber;
    
    Trace("\r\n");
    Trace("Integer value converted to string: " + testStr + "\r\n");
}

/*
    The only purpose of this function is to test the 'StringToInt' function
*/
void TestStringToInt(string &in s, uint8 base)
{
    int value = 0;
            
    if (StringToInt(s, value, base))
    {
        Trace("String = " + s + ", Result = " + value + "\r\n");
    }
    else
    {
        Trace("Unable to convert the string " + s + " to a number using base " + base + "!\r\n");
    }
} 